package com.supervision.dto.roundAsk;

import com.supervision.ngbatis.domain.tag.ItemLeaf;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class SessionParamDTO {

    /**
     * 原始问题
     */
    private String originalQuestion;

    /**
     * 会话ID
     */
    private String sessionId;

    /**
     * 意图名称
     */
    private String intent;

    /**
     * 通过实体抽取,抽取到的值
     */
    private String entityValueByExtract;

    /**
     * 定位到的最终节点
     */
    private ItemLeaf matchItemLeaf;

    /**
     * 需要定位的节点,如果没有唯一节点,就需要从这里开始定位
     * key 是节点ID
     * value是节点对象
     */
    private Map<String, ItemLeaf> waitMatchItemLeafMap;


}
